import Intro from './pages/Intro';
import {Route, Routes} from 'react-router-dom';
import {FC} from 'react';
import Navbar from './pages/Navbar';
import Chapters from './pages/Chapters';
import Overview from './components/Overview';
import Insulin from "./pages/Opening";
import HomePage from "./pages/HomePage";
import InsulinTest from "./pages/InsulinTest";
import Symptoms from "./pages/Symptoms";
import Treatment from "./pages/Treatment";
import SymptomsTest from "./pages/SymptomsTest";

const App: FC = () => {
  return (
    <>
      <div className="max-h-screen font-primary">
        <header>
          <Navbar />
        </header>
        <Routes>
          <Route path="/" element={<HomePage />} index />
          <Route path="chapters" element={<Chapters />} />
          <Route path="intro" element={<Intro />} />
          <Route path="insulin" element={<Insulin />} />
          <Route path="overview" element={<Overview />} />
          <Route path="insulinTest" element={<InsulinTest />} />
          <Route path="symptomsTest" element={<SymptomsTest />} />
          <Route path="symptoms" element={<Symptoms />} />
          <Route path="treatment" element={<Treatment />} />
        </Routes>
      </div>
    </>
  );
};

export default App;
